- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# arp_hdr Struct Reference

## Public Member Functions
| PACK_STRUCT_FIELD (struct ip_addr dipaddr)
| PACK_STRUCT_FIELD (struct eth_addr dhwaddr)
| PACK_STRUCT_FIELD (struct ip_addr sipaddr)
| PACK_STRUCT_FIELD (struct eth_addr shwaddr)
| PACK_STRUCT_FIELD (uInt16 opcode)
| PACK_STRUCT_FIELD (uInt16 _hwlen_protolen)
| PACK_STRUCT_FIELD (uInt16 proto)
| PACK_STRUCT_FIELD (uInt16 hwtype)
| PACK_STRUCT_FIELD (struct eth_hdr ethhdr)

## Detailed Description

Definition at line 55 of file arp.c.

## Member Function Documentation

arp_hdr::PACK_STRUCT_FIELD | ( | struct ip_addr | dipaddr | ) |

arp_hdr::PACK_STRUCT_FIELD | ( | struct eth_addr | dhwaddr | ) |

arp_hdr::PACK_STRUCT_FIELD | ( | struct ip_addr | sipaddr | ) |

arp_hdr::PACK_STRUCT_FIELD | ( | struct eth_addr | shwaddr | ) |

arp_hdr::PACK_STRUCT_FIELD | ( | uInt16 | opcode | ) |

arp_hdr::PACK_STRUCT_FIELD | ( | uInt16 | _hwlen_protolen | ) |

arp_hdr::PACK_STRUCT_FIELD | ( | uInt16 | proto | ) |

arp_hdr::PACK_STRUCT_FIELD | ( | uInt16 | hwtype | ) |

arp_hdr::PACK_STRUCT_FIELD | ( | struct eth_hdr | ethhdr | ) |

The documentation for this struct was generated from the following file:

- src/sys/net/netif/arp.c